{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/account_user/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/account_user/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% if accountUser.getAccountUserType().name == 'PROPERTY_PROVIDER' %}
            <a href="{{ path('external_user_account_user_property_provider_overview', fetch_merged_url_parameters_by_session_key_name('propertyProviderAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% elseif accountUser.getAccountUserType().name == 'PROPERTY_SEEKER' %}
            <a href="{{ path('external_user_account_user_property_seeker_overview', fetch_merged_url_parameters_by_session_key_name('propertySeekerAccountUserOverview')) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% endif %}
        <span class="text-primary fs-5 align-self-center">Externe Nutzer:in bearbeiten</span>
        {% if is_granted('edit', accountUser) == true %}
            {{ form_widget(accountUserForm.save, {'label': 'SPEICHERN', 'id': accountUserForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}

        {% set contextMenuListItems = [] %}

        {% if is_granted('edit', accountUser) == true %}
            {% if accountUser.isEnabled() == true %}
                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'Externe Nutzer:in sperren',
                        'url': path('external_user_account_user_block', {'accountUserId': accountUser.getId()}),
                        'icon': 'block'
                    },
                ]) %}
            {% else %}
                {% set contextMenuListItems = contextMenuListItems|merge([
                    {
                        'label': 'Externe Nutzer:in entsperren',
                        'url': path('external_user_account_user_unblock', {'accountUserId': accountUser.getId()}),
                        'icon': 'check'
                    },
                ]) %}
            {% endif %}
        {% endif %}

        {% if is_granted('delete', accountUser) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'Externe Nutzer:in löschen',
                    'url': path('external_user_account_user_delete', {'accountUserId': accountUser.getId()}),
                    'icon': 'delete_forever'
                },
            ]) %}
        {% endif %}

        {% if is_granted('edit', accountUser) == true %}
            {% set contextMenuListItems = contextMenuListItems|merge([
                {
                    'label': 'Kennwort zurücksetzen',
                    'url': path('external_user_account_user_create_reset_password', {'accountUserId': accountUser.getId()}),
                    'icon': 'email'
                },
            ]) %}
        {% endif %}

        {% if contextMenuListItems is not empty %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'account_user', 'listItems': contextMenuListItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-4">
                {% if is_granted('edit', accountUser) == true %}
                    {{ form_start(accountUserForm, {'attr': {'id': accountUserForm.vars.id ~ '_form'}}) }}
                {% endif %}
                {% include 'external_user/form/account_user/account_user_form.html.twig' with {
                    'form': accountUserForm,
                    'personType': accountUser.getPerson().getPersonType()
                } only %}
                {% if is_granted('edit', accountUser) == true %}
                    {{ form_row(accountUserForm._token) }}
                    {{ form_end(accountUserForm, {'render_rest': false}) }}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
